<!DOCTYPE html>
<html>
<head>
	<title>Web Tech 2: PHP Programming: Working with Forms</title>
</head>
<body>
	<!-- all of our PHP example code will go inside of the PHP element below -->
	<?php	
		//this example will perform two major tasks
		//task 1: help render parts of the HTML form
		//task 2: validate the user's form data submitted
		
		//this array variable contains all choices for a form drop-down menu
		$categories = array("Shirts", "Dresses", "Pants", "Shoes" );
		
		//we initialize a variable to hold error messages we may display later
		$error_message = "";
		
		//this code checks to see if the form was submitted
		if ( isset( $_POST["submit"] ) ) {
			//if the form is submitted, this code validates the user's data
			
			//save form data in variables
			$category_selected = $_POST["category"];
			$product_name = $_POST["product"];
			$product_price = $_POST["price"];
			
			//make sure all fields submitted with a value
			if ($product_name == "") {
				$error_message = $error_message . "<p>Enter product name</p>";
			}
			if ($category_selected == "none") {
				$error_message = $error_message . "<p>Select category</p>";
			}
			//make sure price is a number
			if ( ! is_numeric($product_price) ) {
				$error_message = $error_message . "<p>Enter numeric price</p>";
			}
		
		}
	?>
	<form method="POST" action="">
		<p>Product: <input name="product" value="<?php print $product_name?>" />
		<p>Price: <input name="product" value="<?php print $product_price?>" />
		<p>Category: 
			<select name="category" size="1">
				<option selected="selected" value="none">(choose)</option>
			<?php 
				//render the option elements and their contents from variable
				foreach ($categories as $category) {
					print "<option>$category</option>";
				}
			?>
			</select>
		</p>
	</form>
	<?php
		//output any error messages
		if ( ($error_message == "") && ( isset($_POST["submit"]) ) ){
			// no error and form submitted!
			print "<p><strong>Your form was submitted</strong></p>";
		} else {
			print "<p><strong>$error_message</strong></p>";
		}
	?>
</body>
</html>